Apertis GitLab tools
--------------------

|Script                    | Description
|------------------------- | --------------------------------------------------
|add-collaborans-to-groups | Add Collabora users to the groups listed in
|                          | collabora-master-groups and collabora-guest-groups
|add-user-to-group         | Add a user to a groups with the specified
|                          | access level
|edit-group-user           | Show or edit the access levels of a user
|                          | in a group
|edit-user                 | Edit settings in the user’s profile
|get-bosch-users           | Get all users with addresses ending with bosch.com
|get-collabora-users       | Get all users with addresses ending with
|                          | collabora.co.uk as pretty-printed JSON
|get-groups                | Get the list of the groups
|get-user                  | Get the JSON of the user’s profile
|get-users                 | Get the list of all users in JSON
|gitlab                    | Talk to the Apertis GitLab
|make-boschlers-internal   | Make Bosch users internal and add them to "bosch"
|                          | and "apertis-developers" as Developers
|make-collaborans-internal | Make Collabora users internal and add them to
|                          | "collabora" and "apertis-developers" as Masters
             

GitLab tokens
=============

All scripts expect a file:

    ~/.gitlab-apertis-org-token

with the following contents:

    GITLAB_TOKEN=your-gitlab-token

You can generate the token in [your profile][1].

[1]: https://gitlab.apertis.org/profile/personal_access_tokens

Server-side scripts
===================

Server-side scripts are aimed to do the migration procedures at the original
Git server. You need shell access to the server, preferrably as root. In
`migrate-repo`, edit `ALIOTH_BASE_URL=` to point to the original Git server
(including the password), so that GitLab can clone the repositories, and
make sure `GITLAB_TOKEN` environment variable is set.

In `disable_repo` function, edit the notice which will be displayed to the
users attempting to clone the original repo. Similar edits will be necessary
in `disable-repository` if you use it.

`ls-not-migrated` and `ls-not-migrated-internal` list repositories which
don’t seem to have been already migrated, and print commands necessary to
migrate them.

`print-migrated-map` produces a report on where the repositories have been
migrated to, which `convert-map-to-apache` can later convert to an Apache
redirection file (**WARNING**: `+` in the names of repositories isn’t
handled properly, certain names e.g. `gtk+` will need manual fixups).

All of these scripts will most likely need readjustments for a different
server configuration.
